using unique file names to reduce confusion

This commit is contained in:
rusefillc 2022-04-11 13:54:18 -04:00
parent 98c10a64cd
commit 2c8b050d4e
2 changed files with 5 additions and 3 deletions

View File

@ -250,17 +250,18 @@ jobs:
- name: Generate Configs for build-target
if: ${{ matrix.skip-config != 'yes' && env.skip != 'true' }}
working-directory: ./firmware/
# todo: we have code duplication with gen_config.sh here :(
run: |
if [ "${{ matrix.build-target }}" = "kinetis" ]; then
cd config/boards/kinetis/config
bash gen_config.sh
bash gen_kinetis_config.sh
[ $? -eq 0 ] || { echo "ERROR generating board kinetis kin"; exit 1; }
elif [ "${{ matrix.build-target }}" = "cypress" ]; then
cd config/boards/hellen/cypress/config
bash gen_config.sh
bash gen_cypress_config.sh
[ $? -eq 0 ] || { echo "ERROR generating board hellen_cypress hellen_cypress"; exit 1; }
elif [ "${{ matrix.build-target }}" = "subaru_eg33_f7" ]; then
bash config/boards/subaru_eg33/config/gen_config.sh
bash config/boards/subaru_eg33/config/gen_subaru_config.sh
[ $? -eq 0 ] || { echo "ERROR generating board subaru_eg33 subaru_eg33_f7"; exit 1; }
else
bash gen_config_board.sh ${{matrix.folder}} ${{matrix.build-target}} ${{matrix.ini-file}}

View File

@ -53,6 +53,7 @@ bash gen_config_default.sh
[ $? -eq 0 ] || { echo "ERROR generating default"; exit 1; }
# todo: we have a bit of code duplication with build-firmware.yaml here :(
cd config/boards/kinetis/config
bash gen_kinetis_config.sh
[ $? -eq 0 ] || { echo "ERROR generating board kinetis kin"; exit 1; }